<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.wellness.model.Tip" />

        <variable
            name="handler"
            type="com.vessel.app.common.adapter.genericlikeordislikeadapter.LikeOrDislikeAdapter.OnActionHandler" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/spacing_normal">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.Bold"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/spacing_large"
            android:layout_marginTop="@dimen/spacing_normal"
            android:text="@string/did_it_help"
            app:layout_constraintEnd_toStartOf="@id/likeCount"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/likeCount"
            style="@style/Text.Small"
            android:layout_width="@dimen/thumb_up_dimen"
            android:layout_height="@dimen/thumb_up_dimen"
            android:drawableStart="@{item.getThumbShapeIcon}"
            android:padding="@dimen/spacing_normal"
            android:text="@{item.likesTotalCount}"
            app:layout_constraintBottom_toBottomOf="@id/title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/title"
            tools:drawableStart="@drawable/ic_outline_thumb_up"
            tools:text="1,234" />

        <View
            android:id="@+id/likeBg"
            android:layout_width="0dp"
            android:layout_height="@dimen/like_or_dislike_button_height"
            android:layout_marginTop="@dimen/spacing_xl"
            android:layout_marginEnd="@dimen/spacing_large"
            android:background="@{item.getLikeBackground}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:layout_constraintWidth_percent=".4" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/like"
            style="@style/Title.Small"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:drawableStart="@drawable/ic_outline_thumb_up"
            android:drawablePadding="@dimen/spacing_small"
            android:gravity="center"
            android:onClick="@{()->handler.onLikeClicked(item)}"
            android:text="@string/like"
            app:layout_constraintBottom_toBottomOf="@id/likeBg"
            app:layout_constraintEnd_toEndOf="@id/likeBg"
            app:layout_constraintStart_toStartOf="@id/likeBg"
            app:layout_constraintTop_toTopOf="@id/likeBg" />

        <View
            android:id="@+id/dislikeBg"
            android:layout_width="0dp"
            android:layout_height="@dimen/like_or_dislike_button_height"
            android:layout_marginStart="@dimen/spacing_large"
            android:layout_marginTop="@dimen/spacing_xl"
            android:background="@{item.getDisLikeBackground}"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:layout_constraintWidth_percent=".4" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/dislike"
            style="@style/Title.Small"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:drawableStart="@drawable/ic_outline_thumb_down"
            android:drawablePadding="@dimen/spacing_small"
            android:gravity="center"
            android:onClick="@{()->handler.onDisLikeClicked(item)}"
            android:text="@string/dislike"
            app:layout_constraintBottom_toBottomOf="@id/dislikeBg"
            app:layout_constraintEnd_toEndOf="@id/dislikeBg"
            app:layout_constraintStart_toStartOf="@id/dislikeBg"
            app:layout_constraintTop_toTopOf="@id/dislikeBg" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
